org.jfree.chart.renderer

## Class WaferMapRenderer

- java.lang.Object
- - org.jfree.chart.renderer.AbstractRenderer
  - - org.jfree.chart.renderer.WaferMapRenderer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class WaferMapRenderer
    extends AbstractRenderer

A renderer for wafer map plots. Provides color managment facilities.

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `POSITION_INDEX` default multivalue paint calculation
`static int` `VALUE_INDEX` The default value index.

### Fields inherited from class org.jfree.chart.renderer.AbstractRenderer

`DEFAULT_OUTLINE_PAINT, DEFAULT_OUTLINE_STROKE, DEFAULT_PAINT, DEFAULT_SHAPE, DEFAULT_STROKE, DEFAULT_VALUE_LABEL_FONT, DEFAULT_VALUE_LABEL_PAINT, ZERO`

### Constructor Summary

Constructors
Constructor and Description
`WaferMapRenderer()` Creates a new renderer.
`WaferMapRenderer(java.lang.Integer paintLimit, java.lang.Integer paintIndexMethod)` Creates a new renderer.
`WaferMapRenderer(int paintLimit, int paintIndexMethod)` Creates a new renderer.

### Method Summary

Methods
`java.awt.Paint` `getChipColor(java.lang.Number value)` Returns the paint for a given chip value.
`DrawingSupplier` `getDrawingSupplier()` Returns the drawing supplier from the plot.
`LegendItemCollection` `getLegendCollection()` Builds the list of legend entries.
`WaferMapPlot` `getPlot()` Returns the plot.
`void` `setPlot(WaferMapPlot plot)` Sets the plot and build the paint index.

### Methods inherited from class org.jfree.chart.renderer.AbstractRenderer

`addChangeListener, calculateLabelAnchorPoint, clearSeriesPaints, clearSeriesStrokes, clone, equals, fireChangeEvent, getAutoPopulateSeriesFillPaint, getAutoPopulateSeriesOutlinePaint, getAutoPopulateSeriesOutlineStroke, getAutoPopulateSeriesPaint, getAutoPopulateSeriesShape, getAutoPopulateSeriesStroke, getBaseCreateEntities, getBaseFillPaint, getBaseItemLabelFont, getBaseItemLabelPaint, getBaseItemLabelsVisible, getBaseLegendShape, getBaseLegendTextFont, getBaseLegendTextPaint, getBaseNegativeItemLabelPosition, getBaseOutlinePaint, getBaseOutlineStroke, getBasePaint, getBasePositiveItemLabelPosition, getBaseSeriesVisible, getBaseSeriesVisibleInLegend, getBaseShape, getBaseStroke, getCreateEntities, getDataBoundsIncludesVisibleSeriesOnly, getDefaultEntityRadius, getItemCreateEntity, getItemFillPaint, getItemLabelAnchorOffset, getItemLabelFont, getItemLabelFont, getItemLabelPaint, getItemLabelPaint, getItemOutlinePaint, getItemOutlineStroke, getItemPaint, getItemShape, getItemStroke, getItemVisible, getLegendShape, getLegendTextFont, getLegendTextPaint, getNegativeItemLabelPosition, getNegativeItemLabelPosition, getPositiveItemLabelPosition, getPositiveItemLabelPosition, getSeriesCreateEntities, getSeriesFillPaint, getSeriesItemLabelFont, getSeriesItemLabelPaint, getSeriesNegativeItemLabelPosition, getSeriesOutlinePaint, getSeriesOutlineStroke, getSeriesPaint, getSeriesPositiveItemLabelPosition, getSeriesShape, getSeriesStroke, getSeriesVisible, getSeriesVisible, getSeriesVisibleInLegend, getSeriesVisibleInLegend, getTreatLegendShapeAsLine, hashCode, hasListener, isItemLabelVisible, isSeriesItemLabelsVisible, isSeriesVisible, isSeriesVisibleInLegend, lookupLegendShape, lookupLegendTextFont, lookupLegendTextPaint, lookupSeriesFillPaint, lookupSeriesOutlinePaint, lookupSeriesOutlineStroke, lookupSeriesPaint, lookupSeriesShape, lookupSeriesStroke, notifyListeners, removeChangeListener, setAutoPopulateSeriesFillPaint, setAutoPopulateSeriesOutlinePaint, setAutoPopulateSeriesOutlineStroke, setAutoPopulateSeriesPaint, setAutoPopulateSeriesShape, setAutoPopulateSeriesStroke, setBaseCreateEntities, setBaseCreateEntities, setBaseFillPaint, setBaseFillPaint, setBaseItemLabelFont, setBaseItemLabelFont, setBaseItemLabelPaint, setBaseItemLabelPaint, setBaseItemLabelsVisible, setBaseItemLabelsVisible, setBaseItemLabelsVisible, setBaseLegendShape, setBaseLegendTextFont, setBaseLegendTextPaint, setBaseNegativeItemLabelPosition, setBaseNegativeItemLabelPosition, setBaseOutlinePaint, setBaseOutlinePaint, setBaseOutlineStroke, setBaseOutlineStroke, setBasePaint, setBasePaint, setBasePositiveItemLabelPosition, setBasePositiveItemLabelPosition, setBaseSeriesVisible, setBaseSeriesVisible, setBaseSeriesVisibleInLegend, setBaseSeriesVisibleInLegend, setBaseShape, setBaseShape, setBaseStroke, setBaseStroke, setCreateEntities, setCreateEntities, setDataBoundsIncludesVisibleSeriesOnly, setDefaultEntityRadius, setFillPaint, setFillPaint, setItemLabelAnchorOffset, setItemLabelFont, setItemLabelFont, setItemLabelPaint, setItemLabelPaint, setItemLabelsVisible, setItemLabelsVisible, setItemLabelsVisible, setLegendShape, setLegendTextFont, setLegendTextPaint, setNegativeItemLabelPosition, setNegativeItemLabelPosition, setOutlinePaint, setOutlinePaint, setOutlineStroke, setOutlineStroke, setPaint, setPaint, setPositiveItemLabelPosition, setPositiveItemLabelPosition, setSeriesCreateEntities, setSeriesCreateEntities, setSeriesFillPaint, setSeriesFillPaint, setSeriesItemLabelFont, setSeriesItemLabelFont, setSeriesItemLabelPaint, setSeriesItemLabelPaint, setSeriesItemLabelsVisible, setSeriesItemLabelsVisible, setSeriesItemLabelsVisible, setSeriesNegativeItemLabelPosition, setSeriesNegativeItemLabelPosition, setSeriesOutlinePaint, setSeriesOutlinePaint, setSeriesOutlineStroke, setSeriesOutlineStroke, setSeriesPaint, setSeriesPaint, setSeriesPositiveItemLabelPosition, setSeriesPositiveItemLabelPosition, setSeriesShape, setSeriesShape, setSeriesStroke, setSeriesStroke, setSeriesVisible, setSeriesVisible, setSeriesVisible, setSeriesVisible, setSeriesVisibleInLegend, setSeriesVisibleInLegend, setSeriesVisibleInLegend, setSeriesVisibleInLegend, setShape, setShape, setStroke, setStroke, setTreatLegendShapeAsLine`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### POSITION_INDEX

    public static final int POSITION_INDEX

default multivalue paint calculation

See Also:
  Constant Field Values

#### VALUE_INDEX

    public static final int VALUE_INDEX

The default value index.

See Also:
  Constant Field Values

### Constructor Detail

#### WaferMapRenderer

    public WaferMapRenderer()

Creates a new renderer.

#### WaferMapRenderer

    public WaferMapRenderer(int paintLimit,
                    int paintIndexMethod)

Creates a new renderer.

Parameters:
  `paintLimit` - the paint limit.
  `paintIndexMethod` - the paint index method.

#### WaferMapRenderer

    public WaferMapRenderer(java.lang.Integer paintLimit,
                    java.lang.Integer paintIndexMethod)

Creates a new renderer.

Parameters:
  `paintLimit` - the paint limit.
  `paintIndexMethod` - the paint index method.

### Method Detail

#### getDrawingSupplier

    public DrawingSupplier getDrawingSupplier()

Returns the drawing supplier from the plot.

Specified by:
  `getDrawingSupplier` in class `AbstractRenderer`
Returns:
  The drawing supplier.

#### getPlot

    public WaferMapPlot getPlot()

Returns the plot.

Returns:
  The plot.

#### setPlot

    public void setPlot(WaferMapPlot plot)

Sets the plot and build the paint index.

Parameters:
  `plot` - the plot.

#### getChipColor

    public java.awt.Paint getChipColor(java.lang.Number value)

Returns the paint for a given chip value.

Parameters:
  `value` - the value.
Returns:
  The paint.

#### getLegendCollection

    public LegendItemCollection getLegendCollection()

Builds the list of legend entries. called by getLegendItems in WaferMapPlot to populate the plot legend.

Returns:
  The legend items.